[ovs-dev] [PATCH] Update top-level documentation to bring it up to date with latest features.

Jesse Gross jesse at nicira.com
Wed Apr 6 16:57:56 UTC 2011


On Wed, Apr 6, 2011 at 9:44 AM, Justin Pettit <jpettit at nicira.com> wrote:
> On Apr 6, 2011, at 9:17 AM, Ben Pfaff wrote:
>
>> The included Linux kernel module supports Linux 2.6.18 and up, with
>> -testing focused on 2.6.18 with Centos and Xen patches and version
>> -2.6.26 from kernel.org.  Open vSwitch also has special support for
>> -Citrix XenServer hosts.
>> +testing focused on 2.6.32 with Centos and Xen patches.  Open vSwitch
>> +also has special support for Citrix XenServer hosts.
>
> I'm not sure we actually run 2.6.18 anywhere, and Jesse has indicated that support for it may be broken.  It may be premature to declare it not working.  In any case, I routinely run OVS on a 2.6.24, so it's functional at least that far back.

It's supposed to still support 2.6.18, it just hasn't been tested
recently.  There's a fairly good chance that the normal stuff still
works, though I'm slightly more nervous about the less commonly used
functionality like updating checksum in actions.



More information about the dev mailing list